Skip to:
Content
Pages
Categories
Search
Top
Bottom

Requirements

bbPress only requires a couple of things.

That’s really it. We recommend Apache or Nginx as the most robust and featureful web servers for running bbPress, but any server that supports PHP and MySQL will do. That said, we can’t test every possible environment, and each of the suggested WordPress.org hosts supports the above and more with no issues.

If you’re not sure your host meets these requirements, here’s a letter you can send to your host. Just copy and paste!

I'm interested in running the open-source bbPress <http://bbpress.org/> forum software and I was wondering if my account supported the following:

* PHP 5.2.4 or greater
* MySQL 5.0 or greater
* The mod_rewrite Apache module

Thanks!

Not required, but recommended for better security

Hosting is more secure when PHP applications, like bbPress, are run using your account’s username instead of the server’s default shared username. The most common way nowadays for hosting companies to do this is using suPHP. Just ask your potential host if they run suPHP or something similar.